%define module_version 0.09
%define module_name Shuvgey
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/Socket.pm) perl(AnyEvent/TLS.pm) perl(Module/Build/Tiny.pm) perl(Net/SSLeay.pm) perl(Plack.pm) perl(Plack/Runner.pm) perl(Protocol/HTTP2.pm) perl(Protocol/HTTP2/Constants.pm) perl(Protocol/HTTP2/Server.pm) perl(Scalar/Util.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: AnyEvent HTTP/2 (draft 16) Server for PSGI
Group: Development/Perl
License: perl
URL: https://github.com/vlet/Shuvgey

Source0: http://cpan.org.ua/authors/id/C/CR/CRUX/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Shuvgey is a lightweight non-blocking, single-threaded HTTP/2 (draft 16) Server
that runs PSGI applications on top of the AnyEvent manpage event loop.

Shuvgey use the Protocol::HTTP2 manpage for HTTP/2 support. Supported plain text HTTP/2
connections, HTTP/1.1 Upgrade, and secure TLS connections (with ALPN/NPN
protocol negotiation).

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md examples
%perl_vendor_privlib/S*
%perl_vendor_privlib/P*

%files scripts
%_bindir/*

%changelog
* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

